quasardb C API: Data Fields - Variables

quasardb C API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages

### - a -

- addend : qdb_operation_t
- address : qdb_remote_node_t
- alias : qdb_const_iterator_t , qdb_entry_metadata_t , qdb_operation_t , qdb_const_tag_iterator_t

### - b -

- begin : qdb_ts_range_t
- blob_cas : qdb_operation_t
- blob_content : qdb_operation_t
- blob_content_size : qdb_operation_t
- blob_get : qdb_operation_t
- blob_get_and_update : qdb_operation_t
- blob_put : qdb_operation_t
- blob_update : qdb_operation_t

### - c -

- column : qdb_ts_batch_column_info_t , qdb_ts_batch_unchecked_column_info_t
- column_count : qdb_query_experimental_result_t , qdb_query_arrow_result_t , qdb_query_result_t , qdb_exp_batch_push_table_data_t , qdb_exp_batch_push_arrow_data_t
- column_index : qdb_ts_batch_unchecked_column_info_t
- column_names : qdb_query_result_t
- column_type : qdb_ts_batch_unchecked_column_info_t , qdb_exp_batch_push_column_schema_t
- columns : qdb_exp_batch_push_arrow_data_t , qdb_query_experimental_result_t , qdb_query_arrow_result_t , qdb_exp_batch_push_table_data_t , qdb_exp_batch_push_table_schema_t
- comparand : qdb_operation_t
- comparand_offset : qdb_operation_t
- comparand_size : qdb_operation_t
- content : qdb_ts_blob_point , blob_put_update_t , qdb_operation_t , qdb_const_iterator_t , qdb_ts_string_point , qdb_blob_t
- content_length : qdb_ts_string_point , qdb_ts_blob_point , qdb_blob_t
- content_offset : qdb_operation_t
- content_size : blob_put_update_t , qdb_const_iterator_t , qdb_operation_t
- count : qdb_ts_double_aggregation_t , qdb_ts_blob_aggregation_t , qdb_ts_string_aggregation_t , qdb_ts_int64_aggregation_t , qdb_ts_timestamp_aggregation_t , qdb_perf_profile_t , qdb_string_array_t

### - d -

- data : qdb_query_experimental_column_t , qdb_exp_batch_push_column_t , qdb_exp_batch_push_arrow_table_t , qdb_arrow_column_t , qdb_exp_batch_push_table_t
- data_type : qdb_exp_batch_push_column_t

### - e -

- elapsed : qdb_perf_measurement_t
- elements_count_hint : qdb_ts_batch_column_info_t , qdb_ts_batch_unchecked_column_info_t
- end : qdb_ts_range_t
- error : qdb_operation_t
- error_message : qdb_query_result_t
- expiry_time : blob_put_update_t , qdb_entry_metadata_t , qdb_operation_t , int_put_update_t

### - g -

- get_last_error : ArrowArrayStream
- get_next : ArrowArrayStream
- get_schema : ArrowArrayStream

### - h -

- handle : qdb_const_iterator_t , qdb_const_tag_iterator_t
- has_tag : qdb_operation_t

### - i -

- index : qdb_exp_batch_push_column_schema_t
- int_add : qdb_operation_t
- int_get : qdb_operation_t
- int_put : qdb_operation_t
- int_result : qdb_operation_t
- int_update : qdb_operation_t

### - l -

- label : qdb_perf_measurement_t

### - m -

- magic : qdb_const_tag_iterator_t
- measurements : qdb_perf_profile_t
- modification_time : qdb_entry_metadata_t

### - n -

- name : qdb_perf_profile_t , qdb_query_experimental_column_t , qdb_ts_column_info_ex_t , qdb_exp_batch_push_column_t , qdb_exp_batch_push_arrow_table_t , qdb_exp_batch_push_table_t , qdb_ts_column_info_t
- new_content : qdb_operation_t
- new_content_size : qdb_operation_t
- node : qdb_const_iterator_t

### - o -

- options : qdb_exp_batch_push_table_t , qdb_exp_batch_push_arrow_table_t
- original_content : qdb_operation_t
- original_content_size : qdb_operation_t

### - p -

- port : qdb_remote_node_t
- private_data : ArrowArrayStream , ArrowSchema

### - r -

- range : qdb_ts_blob_aggregation_t , qdb_ts_double_aggregation_t , qdb_ts_string_aggregation_t , qdb_ts_timestamp_aggregation_t , qdb_ts_int64_aggregation_t
- ref : qdb_const_iterator_t
- reference : qdb_entry_metadata_t
- release : ArrowSchema , ArrowArrayStream
- result : qdb_ts_blob_aggregation_t , qdb_ts_int64_aggregation_t , qdb_operation_t , qdb_ts_string_aggregation_t , qdb_ts_timestamp_aggregation_t , qdb_ts_double_aggregation_t
- row_count : qdb_exp_batch_push_table_data_t , qdb_query_result_t , qdb_query_experimental_result_t
- rows : qdb_query_result_t

### - s -

- scanned_point_count : qdb_query_result_t
- schema : qdb_arrow_column_t
- shard_size : qdb_exp_batch_push_table_schema_t , qdb_ts_batch_unchecked_column_info_t
- size : qdb_entry_metadata_t
- strings : qdb_string_array_t
- symtable : qdb_exp_batch_push_column_schema_t , qdb_ts_batch_unchecked_column_info_t , qdb_ts_column_info_ex_t

### - t -

- tag : qdb_operation_t
- timeseries : qdb_ts_batch_column_info_t , qdb_ts_batch_unchecked_column_info_t
- timestamp : qdb_ts_double_point , qdb_ts_string_point , qdb_exp_batch_push_arrow_data_t , qdb_ts_blob_point , qdb_ts_int64_point , qdb_ts_timestamp_point
- timestamp_schema : qdb_exp_batch_push_arrow_data_t
- timestamps : qdb_exp_batch_push_table_data_t
- token : qdb_const_iterator_t , qdb_const_tag_iterator_t
- truncate_range_count : qdb_exp_batch_push_table_t , qdb_exp_batch_push_arrow_table_t
- truncate_ranges : qdb_exp_batch_push_table_t , qdb_exp_batch_push_arrow_table_t
- tv_nsec : qdb_timespec_t
- tv_sec : qdb_timespec_t
- type : qdb_const_tag_iterator_t , qdb_ts_column_info_t , qdb_ts_double_aggregation_t , qdb_ts_int64_aggregation_t , qdb_ts_string_aggregation_t , qdb_entry_metadata_t , qdb_ts_timestamp_aggregation_t , qdb_operation_t , qdb_query_experimental_column_t , qdb_ts_column_info_ex_t , qdb_ts_blob_aggregation_t , qdb_operation_t

### - v -

- value : int_put_update_t , qdb_ts_double_point , qdb_ts_timestamp_point , qdb_ts_int64_point
- value_get : qdb_operation_t

### - w -

- where_duplicate : qdb_exp_batch_push_table_t , qdb_exp_batch_push_arrow_table_t
- where_duplicate_count : qdb_exp_batch_push_table_t , qdb_exp_batch_push_arrow_table_t